REST API
Infra APIProjects

Bind Project source

PUT/api/v1/serverless/projects/{project_id}/source

Authorization

BearerAuth
AuthorizationBearer <token>

Hydra JWT Bearer token

In: header

Path Parameters

project_id*string

Project ID

Header Parameters

If-None-Match?string

Use * to create only when no source is configured

Request Body

application/json

Canonical Project source

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/serverless/projects/string/source" \  -H "Content-Type: application/json" \  -d '{}'
{  "branch": "string",  "commit_sha": "string",  "project_id": "string",  "provider": "string",  "repository": "string",  "repository_id": "string",  "source_root": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}